summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a697df88..b93479c3 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -20,6 +20,7 @@ echo "=============================================================="
echo "The following source packages will be build: $@"
echo "=============================================================="
echo
+set -x
COUNT_TOTAL=0
COUNT_GOOD=0
@@ -49,8 +50,8 @@ for SRCPACKAGE in "$@" ; do
set -e
cat b1/${SRCPACKAGE}_*.changes
TMPFILE=$(mktemp)
- ./misc.git/diffp b1/${SRCPACKAGE}_.changes b2/${SRCPACKAGE}_.changes | tee ${TMPFILE}
- if $(grep -qv '^\*\*\*\*\*' ${TMPFILE}) ; then
+ ./misc.git/diffp b1/${SRCPACKAGE}_*.changes b2/${SRCPACKAGE}_*.changes | tee ${TMPFILE}
+ if ! $(grep -qv '^\*\*\*\*\*' ${TMPFILE}) ; then
figlet ${SRCPACKAGE}
echo
echo "${SRCPACKAGE} build successfull."